﻿// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See LICENSE in the project root for license information.

namespace HoloToolkit.Unity
{
    /// <summary>
    /// Utility class for Unity's Input Manager Mappings.
    /// Input from all types should be defined here for use 
    /// though out the entire toolkit.
    /// </summary>
    public static class InputMappingAxisUtility
    {
        #region Xbox and Motion Controller Mappings

        public const string CONTROLLER_LEFT_STICK_HORIZONTAL = "CONTROLLER_LEFT_STICK_HORIZONTAL";
        public const string CONTROLLER_LEFT_STICK_VERTICAL = "CONTROLLER_LEFT_STICK_VERTICAL";
        public const string CONTROLLER_RIGHT_STICK_HORIZONTAL = "CONTROLLER_RIGHT_STICK_HORIZONTAL";
        public const string CONTROLLER_RIGHT_STICK_VERTICAL = "CONTROLLER_RIGHT_STICK_VERTICAL";
        public const string XBOX_DPAD_HORIZONTAL = "XBOX_DPAD_HORIZONTAL";
        public const string XBOX_DPAD_VERTICAL = "XBOX_DPAD_VERTICAL";
        public const string CONTROLLER_LEFT_TRIGGER = "CONTROLLER_LEFT_TRIGGER";
        public const string CONTROLLER_RIGHT_TRIGGER = "CONTROLLER_RIGHT_TRIGGER";
        public const string XBOX_SHARED_TRIGGER = "XBOX_SHARED_TRIGGER";
        public const string XBOX_A = "XBOX_A";
        public const string XBOX_B = "XBOX_B";
        public const string XBOX_X = "XBOX_X";
        public const string XBOX_Y = "XBOX_Y";
        public const string CONTROLLER_LEFT_MENU = "CONTROLLER_LEFT_MENU";
        public const string CONTROLLER_RIGHT_MENU = "CONTROLLER_RIGHT_MENU";
        public const string CONTROLLER_LEFT_BUMPER_OR_GRIP = "XBOX_LEFT_BUMPER";
        public const string CONTROLLER_RIGHT_BUMPER_OR_GRIP = "XBOX_RIGHT_BUMPER";
        public const string CONTROLLER_LEFT_STICK_CLICK = "CONTROLLER_LEFT_STICK_CLICK";
        public const string CONTROLLER_RIGHT_STICK_CLICK = "CONTROLLER_RIGHT_STICK_CLICK";

        #endregion Xbox and Motion Controller Mappings
    }
}
